@import "assets/fonts/fonts.css";

body {
    margin: 0;
    font-family: "Lato", "Arial", sans-serif;
    
}

.wrapper {
    width: 1020px;
    margin: 0px auto;
}

.portfolio {
    height: 797px;
    background-color: #2d303a;
    border-bottom: 6px solid #323746;
    padding-top: 67px;
}

.portfolio__title {
    font-size: 30px;
    line-height: 18px;
    color: #666d89;
    font-weight: 900;
    text-align: left;
    margin: 0px 0px 0px 42px;
}

.portfolio__text {
    font-size: 18px;
    line-height: 30px;
    color: #767e9e;
    font-weight: 300;
    margin: 33px 0px 0px 41px;
    letter-spacing: -0.22px;
}

.portfolio__list {
    margin: 7px 0 0 41px;
}

.list {
    display: flex;
    padding: 0px;
    margin: 0px;
    list-style: none;
}

.list__item {
    font-size: 12px;
    line-height: 1;
    color: #767e9e;
    font-weight: 400;
    cursor: pointer;
    border: 1px solid #666d89;
    border-radius: 5px;
    transition: 0.2s;
}

.list__item_active {
    border: 1px solid #c5c5c5;
    color: #dedede;
}

.list__item:hover {
    border: 1px solid #c5c5c5;
    color: #dedede;
}

.list__item:nth-child(1) {
    padding: 4px 6px 4px 7px;
  }
  
.list__item:nth-child(2) {
    padding: 4px 6px 4px 6px;
    margin-left: 10px;
  }
  
.list__item:nth-child(3) {
    width: 83px;
    padding: 4px 2px 4px 6px;
    margin-left: 10px;
  }
  
.list__item:nth-child(4) {
    padding: 4px 4px 4px 7px;
    margin-left: 10px;
  }

.portfolio__table {
    margin: 19px 40px 0 40px;
}

.projects {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 20px;
    overflow: hidden;
}

.projects__link {
    height: 187px;
    margin-bottom: 20px;
}

.about-us {
    padding: 67px 0 67px 0;
    background-color: #f2f2f2;
    border-bottom: 6px solid #ffffff;
}

.about-us__title {
    font-size: 30px;
    line-height: 18px;
    color: #666d89;
    font-weight: 900;
    margin: 1px 0 0 40px;
}

.about-us__text {
    width: 940px;
    height: 57px;
    font-size: 18px;
    line-height: 30px;
    color: #767e9e;
    font-weight: 300;
    text-align: left;
    margin: 29px 0 0 40px;
    letter-spacing: -0.22px;
}

.three-column-layout {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.about-us__staff {
    margin: 46px 22px 0 40px;
}

.employee__name {
    font-size: 18px;
    line-height: 1;
    color: #666d89;
    font-weight: 900;
    margin: 12px 0 0 0;
}

.employee__description {
    width: 300px;
    font-size: 12px;
    line-height: 1.7;
    color: #767e9e;
    font-weight: 400;
    letter-spacing: -0.18px;
}

.employee__link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 31px;
    height: 31px;
    border: 1px solid #666d89;
    border-radius: 50%;
    transition: background-color 0.3s, border-color 0.3s;
    transition: filter 0.3s;
}

.employee__link:hover {
    background-color: hotpink;
}

.social-media {
    display: flex;
}

.employee__contacts {
    margin: 24px auto 0 auto;
}  
 

.employee__link:not(:first-child) {
    margin-left: 7px;
}